<?php

class LSP_LegalPageController {
    public function __construct() {
        add_action('template_redirect', array($this, 'check_and_render_legal_page'));
    }

    public function check_and_render_legal_page(){
        if(! LSP_LegalSuitePro::instance()->settings->enable_legal_page) {
            return;
        }

        $settings = LSP_LegalSuitePro::instance()->settings;

        $uri = $_SERVER['REQUEST_URI'];

        $site_uri = explode('/',get_site_url());

        array_shift($site_uri); //protocol
        array_shift($site_uri); //protocol slash
        array_shift($site_uri); //server

        if(count($site_uri) > 0) {
            $site_relative_uri = '/' . implode('/', $site_uri) . '/';
        }else{
            $site_relative_uri = '/';
        }

        $file_uri = substr($uri, strlen($site_relative_uri));

        $file_uri = preg_replace('/\?.*/', '', $file_uri);

        $file_uri = trim($file_uri, '/');

        if($file_uri == trim($settings->legal_page_path, '/')){
            global $wp_query;
            $wp_query->is_404 = false;
            $this->render_legal_page();
        }
    }

    public function render_legal_page(){
        require_once LSP_VIEW_DIR . '/legal.php';
        exit;
    }
}