<?php

class LSP_Template {

    private static $templates = array(
        'antispam_policy',
        'copyright_notice',
        'dmca_compliance',
        'earnings_disclaimer',
        'ftc_compliance',
        'medical_disclaimer',
        'privacy_policy',
        'social_media_disclaimer',
        'terms_and_conditions',
    );

    private static $template_files = array(
        'antispam_policy' => 'Anti-Spam_Policy.html',
        'copyright_notice' => 'Copyright_Notice.html',
        'dmca_compliance' => 'DMCA_Compliance.html',
        'earnings_disclaimer' => 'Earnings_Disclaimer.html',
        'ftc_compliance' => 'FTC_Compliance.html',
        'medical_disclaimer' => 'Medical_Disclaimer.html',
        'privacy_policy' => 'Privacy_Policy.html',
        'social_media_disclaimer' => 'Social_Media_Disclaimer.html',
        'terms_and_conditions' => 'Terms_and_Conditions.html',
    );

    private static $template_names = array(
        'antispam_policy' => 'Anti-Spam Policy',
        'copyright_notice' => 'Copyright Notice',
        'dmca_compliance' => 'DMCA Compliance',
        'earnings_disclaimer' => 'Earnings Disclaimer',
        'ftc_compliance' => 'FTC Compliance',
        'medical_disclaimer' => 'Medical Disclaimer',
        'privacy_policy' => 'Privacy Policy',
        'social_media_disclaimer' => 'Social Media Disclaimer',
        'terms_and_conditions' => 'Terms and Conditions',
    );

    public static function get_templates(){
        return LSP_Template::$template_names;
    }

    public static function get_template_name($template){
        foreach(LSP_Template::$template_names as $t => $name){
            if($t == $template){
                return $name;
            }
        }
        return false;
    }

    public static function get_template_file($template){
        foreach(LSP_Template::$template_files as $t => $file){
            if($t == $template){
                return $file;
            }
        }
        return false;
    }

    public static function render($template){
        $settings = LSP_LegalSuitePro::instance()->settings;
        $file = LSP_TEMPLATE_DIR . '/' . LSP_Template::get_template_file($template);
        $contents = file_get_contents($file);

        $contents = str_replace('%SITE_NAME%', $settings->site_name, $contents);
        $contents = str_replace('%SITE_URL%', $settings->site_url, $contents);
        $contents = str_replace('%SUPPORT_URL%', $settings->support_url, $contents);
        $contents = str_replace('%STATE%', $settings->state, $contents);

        return $contents;
    }
}