<?php

namespace IMIncomeLab\WordPress\Model\v1_1;

/**
 * Class OptionModel
 * @package IMIncomeLab\WordPress\Model\v1_1
 */
class OptionModel extends Model {

    //$option is the name of the option used to store serialized data
    /**
     * @var string
     */
    protected $option = '';

    //$network is true of the option should be network vs. current blog
    /**
     * @var bool
     */
    protected $network = false;

    /**
     * OptionModel constructor.
     * @param $option
     * @param bool $network
     */
    public function __construct($option, $network = false) {
        $this->option  = $option;
        $this->network = $network;

        if ($this->network) {
            $this->properties = get_site_option($this->option, array());
        } else {
            $this->properties = get_option($this->option, array());
        }
    }

    /**
     *
     */
    public function save() {
        if ($this->network) {
            update_site_option($this->option, $this->properties);
        } else {
            update_option($this->option, $this->properties);
        }
    }
}