<?php

namespace IMIncomeLab\WordPress\Model\v1_1;

/**
 * Class PostMetaModel
 * @package IMIncomeLab\WordPress\Model\v1_1
 */
class PostMetaModel extends Model {

    /**
     * @var string
     */
    protected $meta_key = '';
    /**
     * @var int
     */
    public $post_id = -1;

    /**
     * PostMetaModel constructor.
     * @param $meta_key
     * @param $post_id
     */
    public function __construct($meta_key, $post_id) {
        $this->meta_key = $meta_key;
        $this->post_id  = $post_id;

        $this->properties = get_post_meta($this->post_id, $this->meta_key, true);
        if ($this->properties == null) {
            $this->properties = array();
        }
    }

    /**
     *
     */
    public function save() {
        update_post_meta($this->post_id, $this->meta_key, $this->properties);
    }
}