<div class="wrap">
    <h1><?php echo LSP_TITLE; ?> Settings</h1>

    <h3>Join our <a href="https://www.facebook.com/groups/imincomelab/">Facebook Group</a></h3>

    <form method="post" novalidate="novalidate">
        <input type="hidden" name="option_page" value="general">
        <input type="hidden" name="action" value="update">

        <?php wp_nonce_field('update'); ?>

        <?php if( !$license->is_licensed() ): ?>

            <p style="background-color: yellow">
                Because every site is different, you should seek legal advice for your site and specific jurisdiction before using this product.  By using this product in whole or part, you agree to undertake all endeavours to ensure your legal pages generated by this product are site specific and compliant.  And also by use, you accept all direct, indirect, punitive, incidental or consequential damages whatsoever arising out of or connected with the use or misuse of the pages generated.
            </p>

            <label>
                <input type="checkbox" id="wplegalsuitepro_accept_disclaimer">I agree to seek legal advice before use and I accept all responsibility arising from the use or misuse from use of this software.
            </label>
        <?php endif; ?>

        <table class="form-table">
            <tbody>
            <tr>
                <th scope="row"><label for="license_key">License</label></th>
                <td>


                    <?php $license->widget(); ?>
                </td>
            </tr>

            <?php if( $license->is_licensed() ): ?>
                <tr>
                    <th scope="row"><label for="site_name">Site Name</label></th>
                    <td>
                        <input name="site_name" type="text" id="site_name" value="<?php echo esc_attr($settings->site_name); ?>" class="regular-text">
                        <small style="display:block">Enter your site name</small>
                    </td>
                </tr>

                <tr>
                    <th scope="row"><label for="support_url">Support URL</label></th>
                    <td>
                        <input name="support_url" type="text" id="support_url" value="<?php echo esc_attr($settings->support_url); ?>" class="regular-text">
                        <small style="display:block">Enter your support URL</small>
                    </td>
                </tr>

                <tr>
                    <th scope="row"><label for="support_url">State</label></th>
                    <td>
                        <input name="state" type="text" id="state" value="<?php echo esc_attr($settings->state); ?>" class="regular-text">
                        <small style="display:block">Enter your state</small>
                    </td>
                </tr>


                <tr>
                    <th scope="row">1-Click Legal Page</th>
                    <td>
                        <p>
                            <label>
                                <input type="checkbox" class="checkbox" id="enable_legal_page" name="enable_legal_page" <?php checked($settings->enable_legal_page); ?>>
                                Enable the 1-click Legal page
                            </label>
                        </p>
                        <br />
                        <p style="margin-left:20px">
                            <label>
                                Path: <input type="text" class="text legal_page" id="legal_page_path" name="legal_page_path" value="<?php echo esc_attr($settings->legal_page_path); ?>"><br />
                                <small>Your legal page will be found here:
                                    <a href="<?php echo esc_attr(get_site_url() . '/' . $settings->legal_page_path); ?>">
                                        <?php echo esc_html(get_site_url() . '/' . $settings->legal_page_path); ?>
                                    </a></small>
                            </label>
                        </p>
                        <br />
                        <p style="margin-left:20px">
                            Select Legal Pages<br />
                            <?php foreach( LSP_Template::get_templates() as $template => $template_name): ?>
                                <label>
                                    <input type="checkbox" class="checkbox legal_page" id="<?php echo $template; ?>" name="<?php echo $template; ?>" <?php checked($settings->$template); ?>>
                                    <?php echo esc_html($template_name); ?>
                                </label>
                                <br />
                            <?php endforeach; ?>
                        </p>
                    </td>
                </tr>

                <tr>
                    <th scope="row">Cookie Bar</th>
                    <td>
                        <p>
                            <label>
                                <input type="checkbox" class="checkbox" id="enable_cookie_bar" name="enable_cookie_bar" <?php checked($settings->enable_cookie_bar); ?>>
                                Enable the cookie compliance bar
                            </label>
                        </p>
                        <br />
                        <p style="margin-left:20px">
                            <input type="text" class="wpColorPicker cookie-bar" id="cookie_bar_background_color" name="cookie_bar_background_color" value="<?php echo esc_attr($settings->cookie_bar_background_color); ?>">
                            <span class="beside-wpColorPicker">Background Color<span>
                        </p>
                        <br />
                        <p style="margin-left:20px">
                            Disclaimer Text<br />
                            <input type="text" class="regular-text beside-wpColorPicker cookie-bar" id="cookie_bar_text" name="cookie_bar_text" value="<?php echo esc_attr($settings->cookie_bar_text); ?>">
                            <input type="text" class="wpColorPicker cookie-bar" id="cookie_bar_text_color" name="cookie_bar_text_color" value="<?php echo esc_attr($settings->cookie_bar_text_color); ?>">
                        </p>
                        <br />
                        <p style="margin-left:20px">
                            Button Text<br />
                            <input type="text" class="regular-text beside-wpColorPicker cookie-bar" id="cookie_bar_button" name="cookie_bar_button" value="<?php echo esc_attr($settings->cookie_bar_button); ?>">
                            <input type="text" class="wpColorPicker cookie-bar" id="cookie_bar_button_color" name="cookie_bar_button_color" value="<?php echo esc_attr($settings->cookie_bar_button_color); ?>">
                        </p>
                        <br />
                    </td>
                </tr>
            <?php endif; ?>
            </tbody>
        </table>

        <?php if( $license->is_licensed() ): ?>
            <p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="Save Changes"></p>
        <?php endif; ?>
    </form>
</div>

<style>
    .beside-wpColorPicker{
        vertical-align: top;
    }
</style>
<?php if( !$license->is_licensed() ): ?>
    <script>
        (function(){
            var license_button = document.getElementById('imincomelab_license_activate_wplegalsuitepro');
            var checkbox = document.getElementById('wplegalsuitepro_accept_disclaimer');

            function update(){
                license_button.disabled = !checkbox.checked;
            }

            checkbox.addEventListener('change', update);
            update();
        })();
    </script>
<?php endif; ?>

<script>
    jQuery(document).ready(function($){
        $('.wpColorPicker').wpColorPicker();

        $('#enable_legal_page').change(function(){
            var checked = document.getElementById('enable_legal_page').checked;
            $('.legal_page').prop('disabled', !checked);
        }).change();

        $('#enable_cookie_bar').change(function(){
            var checked = document.getElementById('enable_cookie_bar').checked;
            $('.cookie-bar').prop('disabled', !checked);
        }).change();
    });
</script>