<?php
/**
 * Function file for LGS Optin theme
 * Project is coded by Saiful Islam.
 * 
 * @author Saiful Islam <codersaiful@gmail.com>
 * 
 * @package LGS Optin Theme
 * @since 1.0
 * 
 * @link http://fb.com/codersaiful Saiful Islam Facebook Profile link.
 */

/**
 * Thankyou Page creation when Theme will active or install
 * Only once time page creation
 * 
 * @author Saiful Islam <codersaiful@gmail.com>
 * @package WordPress
 */
if (isset($_GET['activated']) && is_admin()) {
   
    //Thank you Page Creating : Saiful Islam <codersaiful@gmail.com> .
    $new_page_title = 'Thank You';
    $new_page_content = 'This is Thankyou page content. Made Developed by Saiful Islam email: codersaiful@gmail.com';
    $new_page_template = 'template-thankyou.php'; //ex. template-custom.php. Leave blank if you don't want a custom page template.
    //don't change the code bellow, unless you know what you're doing

    $page_check = get_page_by_title($new_page_title);

    $new_page = array(
        //'id'        =>  $new_page_id,
        'post_type' => 'page',
        'post_title' => $new_page_title,
        'post_content' => $new_page_content,
        'post_status' => 'publish',
        //'post_name' => 'thank_you_page',
        'post_author' => 1,
        'comment_status' => 'close',
        'ping_status' => 'close',
    );

    if (!isset($page_check->ID)) {
        //*******
        $new_page_id = wp_insert_post($new_page);
        update_option('thank_you_page_id', $new_page_id);
        if (!empty($new_page_template)) {
            update_post_meta($new_page_id, '_wp_page_template', $new_page_template);
        }
        // ***** */
    }
    //End of Thank you page creating here.
    
    /**
     * Making Home page alos
     * with template-home.php
     * 
     * @since 1.0
     * @package LGS Optin Theme
     */
    //********Home Page Creating : Saiful Islam <codersaiful@gmail.com> .
    
    $new_page_title = 'Home Page';
    $new_page_content = 'No need Specific Fontent of Home Page';
    $new_page_template = 'template-home.php'; //ex. template-custom.php. Leave blank if you don't want a custom page template.
    //don't change the code bellow, unless you know what you're doing

    $page_check = get_page_by_title($new_page_title);

    $new_page = array(
        //'id'        =>  $new_page_id,
        'post_type' => 'page',
        'post_title' => $new_page_title,
        'post_content' => $new_page_content,
        'post_status' => 'publish',
        //'post_name' => 'thank_you_page',
        'post_author' => 1,
        'comment_status' => 'close',
        'ping_status' => 'close',
    );

    if (!isset($page_check->ID)) {

        $new_page_id = wp_insert_post($new_page);
        update_option('home_page_id', $new_page_id);
        update_option('page_on_front', $new_page_id);
        update_option('show_on_front', 'page');
        if (!empty($new_page_template)) {
            update_post_meta($new_page_id, '_wp_page_template', $new_page_template);
        }
    }
    //End of Thank you page creating here. **************/

    
    /**
     * Making News page 
     * no specific template
     * using default template by index.php
     * 
     * @since 1.0
     * @package LGS Optin Theme
     */
    //********Home Page Creating : Saiful Islam <codersaiful@gmail.com> .
    
    $new_page_title = 'Blog';
    $new_page_content = 'No need Specific text here';
    
    $page_check = get_page_by_title($new_page_title);

    $new_page = array(
        //'id'        =>  $new_page_id,
        'post_type' => 'page',
        'post_title' => $new_page_title,
        'post_content' => $new_page_content,
        'post_status' => 'publish',
        //'post_name' => 'thank_you_page',
        'post_author' => 1,
        'comment_status' => 'close',
        'ping_status' => 'close',
    );

    if (!isset($page_check->ID)) {

        $new_page_id = wp_insert_post($new_page);
        update_option('page_for_posts', $new_page_id);
        update_option('news_page_id', $new_page_id);
        
    }
    //End of Thank you page creating here. **************/





    /**
     * All other default page creating, when installing theme
     * 
     * @since 1.5
     */
    $auto_page_title_array = array(
        'Contact Us',
        'Disclaimer',
        'Privacy',
        'Terms'
    );

    $set_default_option_for_menu_manipulation = false;
    foreach ($auto_page_title_array as $page_title) {
        $new_page_title = $page_title;
        $new_page_content = 'This is ' . $page_title . ' page content.';
        $new_page_template = 'template-nofooter.php';


        $page_check = get_page_by_title($new_page_title);

        $new_page = array(
            //'id'        =>  $new_page_id,
            'post_type' => 'page',
            'post_title' => $new_page_title,
            'post_content' => $new_page_content,
            'post_status' => 'publish',
            //'post_name' => 'thank_you_page',
            'post_author' => 1,
            'comment_status' => 'close',
            'ping_status' => 'close',
        );

        if (isset($page_check->ID)) {
            $set_default_option_for_menu_manipulation[] = $page_check->ID;
        } else if (!isset($page_check->ID)) {
            $set_default_option_for_menu_manipulation[] = $new_page_id = wp_insert_post($new_page);
            if (!empty($new_page_template)) {
                update_post_meta($new_page_id, '_wp_page_template', $new_page_template);
            }
        }
    }
    update_option('set_default_option_for_menu_manipulation', $set_default_option_for_menu_manipulation);
    
    global $wp_rewrite;
    $wp_rewrite->set_permalink_structure('/%postname%/');
    $wp_rewrite->flush_rules();


}



/**
 * Adding almost required theme support by this function
 * Added thumbs,feed,feedlink
 * format etc
 * 
 * @since 1.0
 * @package LGS Optin Theme
 * @author Saiful Islam <codersaiful@gmail.com
 */
function lgsot_require_theme_support() {
    // Add theme support for Automatic Feed Links.
    add_theme_support( 'automatic-feed-links' );
    
    add_image_size('saiful',250 , 156, true);

    add_theme_support( 'post-thumbnails', array( 'post', 'page' ) );
    // Set custom thumbnail dimensions.
    set_post_thumbnail_size( 250, 156, array( 'center', 'center' ) ); // 50 pixels wide by 50 pixels tall, crop from the center
    // Add theme support for Automatic Feed Links.
    add_theme_support( 'automatic-feed-links' );
    
    // Theme Support for post format.
    $post_format_args = array( 'standerd','video','aside', 'gallery','chat','audio' );
    add_theme_support( 'post-formats', $post_format_args );
    add_theme_support( 'html5', array( 'search-form', 'comment-form', 'comment-list', 'gallery', 'caption' ) );

    // Add theme support for custom CSS in the TinyMCE visual editor.
    add_editor_style();
    add_theme_support( "title-tag" );
    add_theme_support( 'custom-logo', array(
        'default-image' => false,
        'flex-width' => true,
    ) );

    
    
    // Custom Background Image.
    $bg_default_arg = array(
        'default-image' => false,
        'default-preset' => 'default',
        'default-position-x' => 'center',
        'default-position-y' => 'center',
        'default-size' => 'auto',
        'default-repeat' => 'repeat',
        'default-attachment' => 'scroll',
        'default-color' => '',
        'wp-head-callback' => '_custom_background_cb',
        'admin-head-callback' => '',
        'admin-preview-callback' => '',
    );
    add_theme_support( 'custom-background', $bg_default_arg );
    
    
    //Add Menu :: Register nav menu.
    $menus_arg = array(
        'primary' => 'Main Menu',
        'footer' => 'Footer Menu',
    );
    register_nav_menus($menus_arg);
}
add_action( 'after_setup_theme', 'lgsot_require_theme_support' );

/**
 * Requuired CSS file including here
 * common.css and style.css file including here
 * locate at css folder
 */
function lgsot_style_file_adding(){
    wp_register_style( 'lgs_common', get_template_directory_uri() . '/css/common.css' );
    wp_enqueue_style( 'lgs_common' );
    
    wp_register_style( 'lgs_style', get_template_directory_uri() . '/css/style.css' );
    wp_enqueue_style( 'lgs_style' );
}
add_filter( 'wp_enqueue_scripts', 'lgsot_style_file_adding' );


function lgsot_set_title(){
    $sep = ' &rsaquo; ';
    if(is_home() || is_front_page() ){
        $title = get_bloginfo('name') . $sep . get_bloginfo( 'description' );
    }elseif(is_404() ){
        $title = '404 ERROR | Page Not found';
    }elseif(is_archive() ){
        $title = get_the_archive_title() . $sep .  get_bloginfo('name') ;
    }else{
        $title = get_the_title() . $sep .  get_bloginfo('name') ;
    }
    return $title;
}
add_filter( 'wp_title', 'lgsot_set_title', 10, 2 );



/**
 * Register widget area.
 * Register Sidebar for three section
 * 
 * @since LGS Optin Theme 1.0
 * 
 * @author Saiful Islam <codersaiful@gmail.com>
 * 
 * @link https://codex.wordpress.org/Function_Reference/register_sidebar
 */
function lgsot_blank_widget_register() {
    $widget_args[] = array(
        'name' => 'Sidebar',
        'id' => 'sidebar',
        'description'   =>  'For website Right Sidebar.',
        'before_widget' => '<div id="%1$s" class="%2$s clear col widget_single">',
        'after_widget' => '</div></div>',
        'before_title' => '<h2 class="widget_single_title">',
        'after_title' => '</h2><div class="col clear widget_single_content">',
    );
    $widget_args[] = array(
        'name' => 'Footer Left Area',
        'id' => 'footer_left_area',
        'description'   =>  'Widget Area for Footer Left section. By default: not for Home Page.',
        'before_widget' => '<div id="%1$s" class="%2$s col clear footer_widget_single">',
        'after_widget' => '</div></div>',
        'before_title' => '<h2 class="footer_widget_title">',
        'after_title' => '</h2><div class="col clear footer_widget_content">',
    );
    $widget_args[] = array(
        'name' => 'Footer Middle Area',
        'id' => 'footer_middle_area',
        'description'   =>  'Widget Area for Footer Middle section. By default: not for Home Page.',
        'before_widget' => '<div id="%1$s" class="%2$s col clear footer_widget_single">',
        'after_widget' => '</div></div>',
        'before_title' => '<h2 class="footer_widget_title">',
        'after_title' => '</h2><div class="col clear footer_widget_content">',
    );
    $widget_args[] = array(
        'name' => 'Footer Right Area',
        'id' => 'footer_right_area',
        'description'   =>  'Widget Area for Footer Middle section. By default: not for Home Page.',
        'before_widget' => '<div id="%1$s" class="%2$s col clear footer_widget_single">',
        'after_widget' => '</div></div>',
        'before_title' => '<h2 class="footer_widget_title">',
        'after_title' => '</h2><div class="col clear footer_widget_content">',
    );

   foreach($widget_args as $perWidget){
       register_sidebar( $perWidget );
   }

    

}

add_action( 'widgets_init' , 'lgsot_blank_widget_register' );



function remove_some_wp_widgets(){
unregister_widget('WP_Widget_Calendar'); //removes calendar widget
unregister_widget('WP_Widget_Search'); // removes the search widget
//unregister_widget('WP_Widget_Recent_Comments'); // removes recent comments widget 
//unregister_widget('WP_Widget_Categories'); // removes recent comments widget 
unregister_widget('WP_Widget_Tag_Cloud'); // removes recent comments widget 
}

add_action('widgets_init','remove_some_wp_widgets', 1);


function lgsot_excerpt_lenght( $length ){
    return 20;
}
add_filter( 'excerpt_length','lgsot_excerpt_lenght' );


/**
 * Including Theme oftion Framework
 * 
 * @package ReducFramework
 * 
 * @since version 1.0
 */
include_once 'Theme_Options/ReduxCore/framework.php';
include_once 'Theme_Options/data/default_value.php';
include_once 'Theme_Options/data/options_config.php';
//include_once 'Theme_Options/data/just_test.php';

/**
 * Including Widget class file
 * Class name: LGS_Recent_Post
 * 
 * @since 1.0
 * @author Saiful Islam <codersaiful@gmail.com
 */
get_template_part('includes/widget','recent');

function lgsot_load_widget(){
    register_widget( 'LGS_Recent_Post' );
}
add_filter( 'widgets_init', 'lgsot_load_widget' );









$widgets = get_option( 'sidebars_widgets' );
$widgets = get_option( 'widget_lgs_recent' );
//$widgets = get_option( 'widget_text' );
//var_dump($widgets);

/**
 * Redirecting to permalink page
 * @since 1.0
 * @package LGS Optin Theme
 */
function redirect_to_permalink() {
    //Update widget for lgs
    //_multiwidget
    $lgs_widget_options = array(
        2 => array('title',''),
        3 => array('title',''),
        '_multiwidget' => 1,
    );
    
    $text_widget = array(
        2 => array(
            'title'     => 'Footer Sample Title ',
            'text'      =>  'This is a dummy text. Please change it from Widget. Lorem Ipsum is simply dummy text of the printing and typesetting industry.',
            'filter'    =>  false,
            ),
        
        3 => array(
            'title'     => 'Another Footer Title ',
            'text'      =>  'This is a dummy text. Please change it from Widget. Lorem Ipsum is simply dummy text of the printing and typesetting industry.',
            'filter'    =>  false,
            ),
        
        '_multiwidget' => 1,
    );
    
    update_option('widget_lgs_recent',$lgs_widget_options);
    update_option('widget_text',$text_widget);
    
    //Unset Default Widget
    $widgets = get_option( 'sidebars_widgets' );
    $widgets['sidebar'] = array('lgs_recent-2');
    $widgets['footer_left_area'] = array('text-2');
    $widgets['footer_middle_area'] = array('lgs_recent-3');
    $widgets['footer_right_area'] = array('text-3');;
    update_option('sidebars_widgets', $widgets);
    
    
    /**
     * Redirect to Permalink setting Page.
     * Otherwise Redirect rule will not work Properly.
     */
    wp_redirect('options-permalink.php');
}
add_action( 'after_switch_theme', 'redirect_to_permalink' );