<?php

	class AuthController extends BaseController {

		/*
		 * User Login
		 */
		public function login() {

			$rules     = array(
				'email'    => 'required',
				'password' => 'required'
			);
			$validator = Validator::make( Input::all(), $rules );
			IF( $validator->fails() ) {
				return Redirect::back()->withErrors( $validator )->withInput();
			} ELSE {
				return $this->attempmtLogin( Input::get( 'email' ), Input::get( 'password' ) );
			}
		}

		/*
		 *	Reset Password View
		 */
		public function resetView() {
			return View::make( 'main' )
			           ->with( "logo", $this->rebrander->getProductLogo() )
			           ->with( "footer", $this->rebrander->getProductFooter() )
			           ->with( "version", $this->rebrander->getVersion() )
			           ->with( "name", $this->rebrander->getProductName() )
			           ->with( 'page', 'reset' );
		}

		/*
		 *	change Password View
		 */
		public function changepassword( $token ) {
			return View::make( 'main' )
			           ->with( "logo", $this->rebrander->getProductLogo() )
			           ->with( "footer", $this->rebrander->getProductFooter() )
			           ->with( "version", $this->rebrander->getVersion() )
			           ->with( "name", $this->rebrander->getProductName() )
			           ->with( 'page', 'changepassword' )
			           ->with( 'token', $token );
		}

		private function attempmtLogin( $email, $password ) {
			$userdata = array(
				'email'    => $email,
				'password' => $password
			);

			$notification[] = array(
				'type'    => 'error',
				'timeout' => '10'
			);

			try {
				$rebrander_user = $this->rebrander->checkLogin( $email, $password );

				$user = User::firstOrNew( array( 'email' => $email ) );
				if( !isset( $user->id ) ) {
					$user->email    = $email;
					$user->password = Hash::make( $password );
					$user->save();
				}

				\Session::put( "user", $rebrander_user );
			} catch( Exception $e ) {
				$notification[ 0 ][ 'message' ] = $e->getMessage();
				Session::flash( 'notification', $notification );

				return Redirect::to( '/' );
			}

			IF( Auth::attempt( $userdata ) ) {
				return Redirect::to( '/' );
			}

			$notification[ 0 ][ "message" ] = "Login failed. Email address or password is invalid";
			Session::flash( 'notification', $notification );

			return Redirect::to( '/' );
		}
	}
