<?php

	use Illuminate\Support\Facades\Auth;

	class HomeController extends BaseController {

		/*
		 * Default
		 */
		public function index() {

			$checkConnection  = $this->checkDBConnection();
			$checkUserTable   = $this->checkUserTable();
			$checkSMTPService = $this->checkSMTPService();

			$version = $this->rebrander->getVersion();
			IF( !$checkConnection ) {
				return View::make( 'install' )
				           ->with( "logo", $this->rebrander->getProductLogo() )
				           ->with( "name", $this->rebrander->getProductName() )
				           ->with( "support_email", $this->rebrander->getSupportEmail() )
				           ->with( 'action', 'dbconnection' );
			} ELSEIF( !$checkUserTable ) {
				return View::make( 'install' )
				           ->with( "logo", $this->rebrander->getProductLogo() )
				           ->with( "name", $this->rebrander->getProductName() )
				           ->with( "support_email", $this->rebrander->getSupportEmail() )
				           ->with( 'action', 'checkuser' );
			} ELSEIF( !$checkSMTPService ) {
				return View::make( 'install' )->with( "logo", $this->rebrander->getProductLogo() )->with( "name", $this->rebrander->getProductName() )->with( 'action', 'smtpSettings' );
			} ELSEIF( Auth::check() ) //			 return View::make('main')->with('page','home')->with('getfiles',Audiences::where('user_id',Auth::id())->paginate(20));
			{
				try {
					Artisan::call( 'migrate', array( '--force' => true ) );
				} catch( Exception $e ) {
					Artisan::call( 'migrate' );
				}
				$update_notice = "";
				$user          = \Session::get( "user" );
				if( $user ) {
					$update_notice = \Session::get( "user" )->is_rebrander ? $this->rebrander->showVersion() : "";
				}

				return View::make( 'main' )
				           ->with( "support_email", $this->rebrander->getSupportEmail() )
				           ->with( "logo", $this->rebrander->getProductLogo() )
				           ->with( "update_notice", $update_notice )
				           ->with( "version", $version )
				           ->with( "name", $this->rebrander->getProductName() )
				           ->with( "footer", $this->rebrander->getProductFooter() )
				           ->with( 'page', 'home' )
				           ->with( 'getfiles', Audiences::where( 'user_id', Auth::id() )->paginate( 20 ) );
			}

			return View::make( 'main' )
			           ->with( "support_email", $this->rebrander->getSupportEmail() )
			           ->with( "logo", $this->rebrander->getProductLogo() )
			           ->with( "version", $version )
			           ->with( "name", $this->rebrander->getProductName() )
			           ->with( "footer", $this->rebrander->getProductFooter() )
			           ->with( 'page', 'login' );
		}

		/*
		 * Check Database connection
		 */
		private function checkDBConnection() {
			try {
				$currentDB = Config::get( 'database.connections.mysql.database' );
				DB::connection()->getDatabaseName( $currentDB );

				#Check Users Table
				count( User::first() );

				return true;

				#if database not found
				IF( !$currentDB ) {
					return false;
				}
			} catch( Exception $e ) {
				return false;
			}
		}

		/*
		 * Check user table
		 */
		private function checkUserTable() {
			try {
				IF( count( User::first() ) > 0 ) {
					return true;
				}

				return false;
			} catch( Exception $e ) {
				return false;
			}
		}

		/*
		 * Check SMTP settings
		 */
		private function checkSMTPService() {
			IF( Config::get( 'mail.username' ) != "" && Config::get( 'mail.password' ) != "" ) {
				return true;
			}

			return false;
		}

		/*
		 *  Function For User Setup in Database
		 */
		public function Usersetup() {
			$rules = array(
				'email'            => 'required|email|unique:users',
				'password'         => 'required|min:6',
				'confirm_passowrd' => 'required|same:password'
			);

			$validator = Validator::make( Input::all(), $rules );
			IF( $validator->fails() ) {
				return Redirect::back()->withErrors( $validator )->withInput();
			}

			// validation has passed, save user in DB
			$user           = new User;
			$user->email    = Input::get( 'email' );
			$user->password = Hash::make( Input::get( 'password' ) );

			$user->save();

			return Redirect::to( '/' );
		}
	}
