<?php

/*
|--------------------------------------------------------------------------
| Default
|--------------------------------------------------------------------------
|
*/ 
Route::get('/','HomeController@index');


# Retargeting URL
Route::get('go/{url}','AudienceController@goToURL');

/*
|--------------------------------------------------------------------------
| AuthController
|--------------------------------------------------------------------------
|
*/ 
Route::group(array('prefix' => 'auth'),function(){
		Route::post('login','AuthController@login');
		Route::get('reset','AuthController@resetView');
		Route::post('reset','RemindersController@postRemind');
		Route::get('changepassword/{token}','AuthController@changepassword');
		Route::post('changepassword','RemindersController@postReset');
			
});
/*
|--------------------------------------------------------------------------
| AudienceController
|--------------------------------------------------------------------------
|
*/ 
Route::group(array('prefix' => 'audience','before'=>'auth'),function(){
	
		#Create/Add Audience
		Route::post('createaudience','AudienceController@Createaudience');
		
		#Delete Audience
		Route::get('delete/{id}','AudienceController@AudienceDelete');
		
		# Count Click For URL Open
		Route::get('countclick','AudienceController@goToURL');
		
		Route::post('getaudience','AudienceController@getaudience');
});


/*
|--------------------------------------------------------------------------
| ProfileController
|--------------------------------------------------------------------------
|
*/ 
Route::group(array('prefix' => 'profile','before'=>'auth'),function(){
	
		Route::get('/','ProfileController@index');
		
		Route::post('update','ProfileController@update');
		
		Route::post('changePassword','ProfileController@changePassword');
});


/*
|--------------------------------------------------------------------------
| Logout
|--------------------------------------------------------------------------
|
*/
Route::get('logout',function(){
	Auth::logout();
	return Redirect::to('/');
});


/*
|--------------------------------------------------------------------------
| Installation Controller
|--------------------------------------------------------------------------
|
*/ 
Route::group(array('prefix' => 'install'),function(){
			
	Route::post('db/settings','InstallationController@configure_db');
	
	Route::post('mail/settings','InstallationController@configure_mail');
	
	Route::post('usersetup','HomeController@Usersetup');
	
});
