<?php
	/**
	 * Created by PhpStorm.
	 * User: Alex
	 * Date: 12-03-2015
	 * Time: 14:54
	 */

	if( !function_exists( 'base_dir' ) ) {

		function base_dir( $is_url = false ) {
			$base_dir = dirname( $_SERVER[ 'PHP_SELF' ] );
			$ending   = substr( $base_dir, -1 );
			if( $ending != DIRECTORY_SEPARATOR ) {
				$base_dir .= DIRECTORY_SEPARATOR;
			}

			if( $is_url ) {
				return str_replace( DIRECTORY_SEPARATOR, '/', $base_dir );
			}

			return $base_dir;
		}
	}

	if( !function_exists( 'requestUri' ) ) {
		function requestUri( $base_dir ) {
			$request_uri = preg_replace( '%'.basename( $_SERVER[ 'PHP_SELF' ] ).'.*%', '', $_SERVER[ 'REQUEST_URI' ] );
			if( $pos = strpos( $request_uri, "?" ) ) {
				$request_uri = substr( $request_uri, 0, $pos );
			}
			if( substr( $request_uri, 0, strlen( $base_dir ) ) == $base_dir ) {
				return rtrim( substr( $request_uri, strlen( $base_dir ) ), "/" );
			}

			return '';
		}
	}

	if( !function_exists( 'siteURL' ) ) {
		function siteURL( $base_url = true, $trailing_slash = true, $makessl = false, $pathonly = false, $request_uri = false ) {
			$pageURL = 'http';
			if( isset( $_SERVER[ 'HTTP_X_FORWARDED_PROTO' ] ) && $_SERVER[ 'HTTP_X_FORWARDED_PROTO' ] == 'https' ) {
				$_SERVER[ 'HTTPS' ] = 'on';
			}
			if( ( isset( $_SERVER[ "HTTPS" ] ) && $_SERVER[ "HTTPS" ] == "on" ) || $makessl ) {
				$pageURL .= "s";
			}
			$pageURL .= "://";
			if( $_SERVER[ "SERVER_PORT" ] != "80" && $_SERVER[ "SERVER_PORT" ] != "443" ) {
				$pageURL .= $_SERVER[ "HTTP_HOST" ].":".$_SERVER[ "SERVER_PORT" ];
			} else {
				$pageURL .= $_SERVER[ "HTTP_HOST" ];
			}
			$base_dir = base_dir( true );
			$pageURL .= $base_dir;
			if( $request_uri ) {
				$trailing_slash = false;
				$pageURL .= requestUri( $base_dir );
			}

			if( $base_url ) {
				if( substr( $pageURL, -1 ) != DIRECTORY_SEPARATOR && $trailing_slash ) {
					$pageURL .= "/";
				}
			} else {
				$pageURL .= "?".$_SERVER[ "QUERY_STRING" ];
			}
			if( !$pathonly ) {
				return $pageURL;
			} else {
				return preg_replace( '%'.basename( $_SERVER[ 'PHP_SELF' ] ).'.*%', '', $pageURL );
			}
		}
	}