<?php
/**
 * Created by PhpStorm.
 * User: Alex
 * Date: 24-02-2015
 * Time: 15:54
 */
require_once( dirname( __FILE__ ) . "/../../rebrander-sdk/RebranderSDK.php" );

$rebranderSDK = new RebranderSDK();

if ( isset( $_COOKIE['error'] ) ) {
	$errors[] = $_COOKIE['error'];
	$_POST    = (array) json_decode( $_COOKIE['inputs'] );
	setcookie( "error", "", 0 );
	setcookie( "inputs", "", 0 );
} else {
	$errors = false;
}

$name            = "No Name";
$status          = false;
$price           = 0;
$publishable_key = '';
$logo            = '';
$support_email   = '';
$has_gateway     = false;
$has_package     = false;
try {
	$app_id          = $rebranderSDK->getRebranderAppId();
	$status          = $rebranderSDK->getRebranderAppStatus();
	$name            = $rebranderSDK->getProductName();
	$currency        = $rebranderSDK->getCurrency();
	$packages        = $rebranderSDK->getWhiteLabelPackages();
	$publishable_key = $rebranderSDK->getStripePublishableKey();
	$logo            = $rebranderSDK->getProductLogo();
	$paypal_email    = $rebranderSDK->getPaypalEmail();
	$support_email   = $rebranderSDK->getSupportEmail();

	$GLOBALS['has_stripe']  = (bool) $publishable_key;
	$GLOBALS['has_paypal']  = (bool) $paypal_email;
	$GLOBALS['has_gateway'] = $has_stripe || $has_paypal;
	$GLOBALS['has_package'] = count( $packages ) > 0;

	if ( $status == "Disabled" ) {
		$errors[] = "Your application has been disabled.";
	} else {
		if ( ! $has_gateway ) {
			$errors[] = "Please configure at least one payment gateway.";
		}
		if ( ! $has_package ) {
			$errors[] = "Please configure at least one payment plan.";
		}
	}
} catch ( Exception $e ) {
	$errors[] = $e->getMessage();
}