<?php
include( dirname( __FILE__ ) . "/include/sdk.php" );
include( dirname( __FILE__ ) . "/include/header.php" );

?>
<div class="errors danger alert" <?php if ( ! $errors ) {
	echo 'style="display: none;"';
} ?>>
	<?php if ( $errors ) { ?>
		<ul>
			<?php foreach ( $errors as $error ) { ?>
				<li><?php echo $error; ?></li>
			<?php } ?>
		</ul>
	<?php } ?>
</div>

<!-- Order Form Wrapper -->
<div class="orderWrapper">

	<?php if ( $has_gateway && $has_package ) { ?>
		<!-- Oder Form - Left Side -->
		<div class="orderFull">
			<form id="billing-form" method="post" action="process.php">
				<input type="hidden" id="gateway" name="gateway" value="<?php if ( $has_stripe ) {
					echo "stripe";
				} else {
					echo "paypal";
				} ?>"/>
				<input type="hidden" id="app" name="app" value="<?php echo $app_id; ?>"/>
				<!-- Create Account - Only For WL Plugins (One Time Payment) -->
				<div class="createNewAccount">

					<div class="createNewAccount_headline">
						<div class="orderSectionHeading orderSectionHeader">
							<span class="orderHeading">Step #1: Create Your New Account</span>
							<span class="orderSubHeading">We just need your email & a password...</span>
						</div>

						<br clear="both"/>

					</div>

					<div class="createNewAccount_form orderSectionInner pd20">

						<div class="row pd0">

							<div class="field six columns">

								<div class="field">
									<span class="fieldLabel">First Name:</span>
									<input class="input" type="text" name="first_name" id="userFirstName" placeholder="Your First Name..." value="<?PHP if ( isset( $_POST['first_name'] ) ) {
										echo $_POST['first_name'];
									} ?>">
								</div>
								<div class="field">
									<span class="fieldLabel">Last Name:</span>
									<input class="input" type="text" name="last_name" id="userLastName" placeholder="Your Last Name..." value="<?PHP if ( isset( $_POST['last_name'] ) ) {
										echo $_POST['last_name'];
									} ?>">
								</div>
								<div class="field">
									<span class="fieldLabel">Email Address:</span>
									<input class="input" type="email" name="email" id="userEmail" placeholder="Your Best Email Address..." value="<?PHP if ( isset( $_POST['email'] ) ) {
										echo $_POST['email'];
									} ?>">
								</div>

							</div>

							<div class="field six columns">

								<div class="field">
									<span class="fieldLabel">Password:</span>
									<input class="input" type="password" name="password" id="userPassword" placeholder="Secure Password...">
								</div>
								<div class="field">
									<span class="fieldLabel">Re-type Password:</span>
									<input class="input" type="password" name="retype_password" id="userRetypePassword" placeholder="Re-type Password...">
								</div>

							</div>

						</div>

					</div>

				</div>

				<!-- Payment Details Area -->

				<div class="orderProductArea">

					<div class="createNewAccount_headline">
						<div class="orderSectionHeading orderSectionHeader">
							<span class="orderHeading">Step #2: Enter In Payment Details</span>
							<span class="orderSubHeading">You can either pay with Credit Card Or Paypal...</span></div>

						<br clear="all">
					</div>

					<div class="createNewAccount_form orderSectionInner pd20">

						<div class="paymentOptions">
							<?php if ( $has_stripe ) { ?>
								<div class="paymentChoice btnChooseGateway paymentChoiceActive" id="stripe-btn" data-gateway="stripe" style="margin-right: 15px;">
									<img src="images/visa_straight.png" alt="">
									<img src="images/mastercard_straight.png" alt="">
									<img src="images/american_express_straight.png" alt="">
									<img src="images/discover_straight.png" alt="">
								</div>
							<?php } ?>

							<?php if ( $has_paypal ) { ?>
								<div class="paymentChoice btnChooseGateway <?php if ( ! $has_stripe ) {
									echo 'paymentChoiceActive';
								} else {
									echo 'paymentChoiceNotActive';
								} ?>" id="paypal-btn" data-gateway="paypal">
									<img src="images/paypal_straight.png" alt="">
								</div>
							<?php } ?>

							<br clear="left">
						</div>

						<?php if ( $has_stripe ) { ?>
							<div class="row pd0" style="display: block;" id="stripe-form">

								<div class="field twelve columns" style="height: 70px;">

									<div class="field six columns">
										<span class="fieldLabel">Credit Card Number</span>
										<input class="input" id="ccNum" placeholder="Credit Card Number..." value="" type="text" data-stripe="number">
									</div>


									<div class="field three columns">

										<div class="ccExpcontainer">

											<div class="field ccExpireCopy">
												<span class="fieldLabel">Expiration Date</span>
												<input class="input" id="ccExpire" placeholder="MM / YY" value="" type="text">
											</div>

										</div>

									</div>

									<div class="field three columns">

										<div class="field ccCSVCopy">
											<span class="fieldLabel">CVV Code</span>
											<input class="input" id="ccCSV" placeholder="CVC" value="" type="text" data-stripe="cvc">
										</div>

									</div>

								</div>

								<div style="clear:both;"></div>

								<?php /* ?>
						<div class="field">
							<span class="fieldLabel">Address</span>
							<input class="input" name="address" id="address" placeholder="Enter Address" value="" type="text" data-stripe="address_line1">
						</div>

						<div class="field">
							<span class="fieldLabel">Country</span>

							<div class="picker">
								<select id="country" data-stripe="address_country">
									<option value="">Country...</option>
									<option value="AF">Afghanistan</option>
									<option value="AL">Albania</option>
									<option value="DZ">Algeria</option>
									<option value="AS">American Samoa</option>
									<option value="AD">Andorra</option>
									<option value="AO">Angola</option>
									<option value="AI">Anguilla</option>
									<option value="AG">Antigua &amp; Barbuda</option>
									<option value="AR">Argentina</option>
									<option value="AA">Armenia</option>
									<option value="AW">Aruba</option>
									<option value="AU">Australia</option>
									<option value="AT">Austria</option>
									<option value="AZ">Azerbaijan</option>
									<option value="BS">Bahamas</option>
									<option value="BH">Bahrain</option>
									<option value="BD">Bangladesh</option>
									<option value="BB">Barbados</option>
									<option value="BY">Belarus</option>
									<option value="BE">Belgium</option>
									<option value="BZ">Belize</option>
									<option value="BJ">Benin</option>
									<option value="BM">Bermuda</option>
									<option value="BT">Bhutan</option>
									<option value="BO">Bolivia</option>
									<option value="BL">Bonaire</option>
									<option value="BA">Bosnia &amp; Herzegovina</option>
									<option value="BW">Botswana</option>
									<option value="BR">Brazil</option>
									<option value="BC">British Indian Ocean Ter</option>
									<option value="BN">Brunei</option>
									<option value="BG">Bulgaria</option>
									<option value="BF">Burkina Faso</option>
									<option value="BI">Burundi</option>
									<option value="KH">Cambodia</option>
									<option value="CM">Cameroon</option>
									<option value="CA">Canada</option>
									<option value="IC">Canary Islands</option>
									<option value="CV">Cape Verde</option>
									<option value="KY">Cayman Islands</option>
									<option value="CF">Central African Republic</option>
									<option value="TD">Chad</option>
									<option value="CD">Channel Islands</option>
									<option value="CL">Chile</option>
									<option value="CN">China</option>
									<option value="CI">Christmas Island</option>
									<option value="CS">Cocos Island</option>
									<option value="CO">Colombia</option>
									<option value="CC">Comoros</option>
									<option value="CG">Congo</option>
									<option value="CK">Cook Islands</option>
									<option value="CR">Costa Rica</option>
									<option value="CT">Cote D'Ivoire</option>
									<option value="HR">Croatia</option>
									<option value="CU">Cuba</option>
									<option value="CB">Curacao</option>
									<option value="CY">Cyprus</option>
									<option value="CZ">Czech Republic</option>
									<option value="DK">Denmark</option>
									<option value="DJ">Djibouti</option>
									<option value="DM">Dominica</option>
									<option value="DO">Dominican Republic</option>
									<option value="TM">East Timor</option>
									<option value="EC">Ecuador</option>
									<option value="EG">Egypt</option>
									<option value="SV">El Salvador</option>
									<option value="GQ">Equatorial Guinea</option>
									<option value="ER">Eritrea</option>
									<option value="EE">Estonia</option>
									<option value="ET">Ethiopia</option>
									<option value="FA">Falkland Islands</option>
									<option value="FO">Faroe Islands</option>
									<option value="FJ">Fiji</option>
									<option value="FI">Finland</option>
									<option value="FR">France</option>
									<option value="GF">French Guiana</option>
									<option value="PF">French Polynesia</option>
									<option value="FS">French Southern Ter</option>
									<option value="GA">Gabon</option>
									<option value="GM">Gambia</option>
									<option value="GE">Georgia</option>
									<option value="DE">Germany</option>
									<option value="GH">Ghana</option>
									<option value="GI">Gibraltar</option>
									<option value="GB">Great Britain</option>
									<option value="GR">Greece</option>
									<option value="GL">Greenland</option>
									<option value="GD">Grenada</option>
									<option value="GP">Guadeloupe</option>
									<option value="GU">Guam</option>
									<option value="GT">Guatemala</option>
									<option value="GN">Guinea</option>
									<option value="GY">Guyana</option>
									<option value="HT">Haiti</option>
									<option value="HW">Hawaii</option>
									<option value="HN">Honduras</option>
									<option value="HK">Hong Kong</option>
									<option value="HU">Hungary</option>
									<option value="IS">Iceland</option>
									<option value="IN">India</option>
									<option value="ID">Indonesia</option>
									<option value="IA">Iran</option>
									<option value="IQ">Iraq</option>
									<option value="IR">Ireland</option>
									<option value="IM">Isle of Man</option>
									<option value="IL">Israel</option>
									<option value="IT">Italy</option>
									<option value="JM">Jamaica</option>
									<option value="JP">Japan</option>
									<option value="JO">Jordan</option>
									<option value="KZ">Kazakhstan</option>
									<option value="KE">Kenya</option>
									<option value="KI">Kiribati</option>
									<option value="NK">Korea North</option>
									<option value="KS">Korea South</option>
									<option value="KW">Kuwait</option>
									<option value="KG">Kyrgyzstan</option>
									<option value="LA">Laos</option>
									<option value="LV">Latvia</option>
									<option value="LB">Lebanon</option>
									<option value="LS">Lesotho</option>
									<option value="LR">Liberia</option>
									<option value="LY">Libya</option>
									<option value="LI">Liechtenstein</option>
									<option value="LT">Lithuania</option>
									<option value="LU">Luxembourg</option>
									<option value="MO">Macau</option>
									<option value="MK">Macedonia</option>
									<option value="MG">Madagascar</option>
									<option value="MY">Malaysia</option>
									<option value="MW">Malawi</option>
									<option value="MV">Maldives</option>
									<option value="ML">Mali</option>
									<option value="MT">Malta</option>
									<option value="MH">Marshall Islands</option>
									<option value="MQ">Martinique</option>
									<option value="MR">Mauritania</option>
									<option value="MU">Mauritius</option>
									<option value="YT">Mayotte</option>
									<option value="MX">Mexico</option>
									<option value="MI">Midway Islands</option>
									<option value="MD">Moldova</option>
									<option value="MC">Monaco</option>
									<option value="MN">Mongolia</option>
									<option value="MS">Montserrat</option>
									<option value="MA">Morocco</option>
									<option value="MZ">Mozambique</option>
									<option value="MM">Myanmar</option>
									<option value="NA">Nambia</option>
									<option value="NU">Nauru</option>
									<option value="NP">Nepal</option>
									<option value="AN">Netherland Antilles</option>
									<option value="NL">Netherlands (Holland, Europe)</option>
									<option value="NV">Nevis</option>
									<option value="NC">New Caledonia</option>
									<option value="NZ">New Zealand</option>
									<option value="NI">Nicaragua</option>
									<option value="NE">Niger</option>
									<option value="NG">Nigeria</option>
									<option value="NW">Niue</option>
									<option value="NF">Norfolk Island</option>
									<option value="NO">Norway</option>
									<option value="OM">Oman</option>
									<option value="PK">Pakistan</option>
									<option value="PW">Palau Island</option>
									<option value="PS">Palestine</option>
									<option value="PA">Panama</option>
									<option value="PG">Papua New Guinea</option>
									<option value="PY">Paraguay</option>
									<option value="PE">Peru</option>
									<option value="PH">Philippines</option>
									<option value="PO">Pitcairn Island</option>
									<option value="PL">Poland</option>
									<option value="PT">Portugal</option>
									<option value="PR">Puerto Rico</option>
									<option value="QA">Qatar</option>
									<option value="ME">Republic of Montenegro</option>
									<option value="RS">Republic of Serbia</option>
									<option value="RE">Reunion</option>
									<option value="RO">Romania</option>
									<option value="RU">Russia</option>
									<option value="RW">Rwanda</option>
									<option value="NT">St Barthelemy</option>
									<option value="EU">St Eustatius</option>
									<option value="HE">St Helena</option>
									<option value="KN">St Kitts-Nevis</option>
									<option value="LC">St Lucia</option>
									<option value="MB">St Maarten</option>
									<option value="PM">St Pierre &amp; Miquelon</option>
									<option value="VC">St Vincent &amp; Grenadines</option>
									<option value="SP">Saipan</option>
									<option value="SO">Samoa</option>
									<option value="AS">Samoa American</option>
									<option value="SM">San Marino</option>
									<option value="ST">Sao Tome &amp; Principe</option>
									<option value="SA">Saudi Arabia</option>
									<option value="SN">Senegal</option>
									<option value="RS">Serbia</option>
									<option value="SC">Seychelles</option>
									<option value="SL">Sierra Leone</option>
									<option value="SG">Singapore</option>
									<option value="SK">Slovakia</option>
									<option value="SI">Slovenia</option>
									<option value="SB">Solomon Islands</option>
									<option value="OI">Somalia</option>
									<option value="ZA">South Africa</option>
									<option value="ES">Spain</option>
									<option value="LK">Sri Lanka</option>
									<option value="SD">Sudan</option>
									<option value="SR">Suriname</option>
									<option value="SZ">Swaziland</option>
									<option value="SE">Sweden</option>
									<option value="CH">Switzerland</option>
									<option value="SY">Syria</option>
									<option value="TA">Tahiti</option>
									<option value="TW">Taiwan</option>
									<option value="TJ">Tajikistan</option>
									<option value="TZ">Tanzania</option>
									<option value="TH">Thailand</option>
									<option value="TG">Togo</option>
									<option value="TK">Tokelau</option>
									<option value="TO">Tonga</option>
									<option value="TT">Trinidad &amp; Tobago</option>
									<option value="TN">Tunisia</option>
									<option value="TR">Turkey</option>
									<option value="TU">Turkmenistan</option>
									<option value="TC">Turks &amp; Caicos Is</option>
									<option value="TV">Tuvalu</option>
									<option value="UG">Uganda</option>
									<option value="UA">Ukraine</option>
									<option value="AE">United Arab Emirates</option>
									<option value="GB">United Kingdom</option>
									<option value="US">United States of America</option>
									<option value="UY">Uruguay</option>
									<option value="UZ">Uzbekistan</option>
									<option value="VU">Vanuatu</option>
									<option value="VS">Vatican City State</option>
									<option value="VE">Venezuela</option>
									<option value="VN">Vietnam</option>
									<option value="VB">Virgin Islands (Brit)</option>
									<option value="VA">Virgin Islands (USA)</option>
									<option value="WK">Wake Island</option>
									<option value="WF">Wallis &amp; Futana Is</option>
									<option value="YE">Yemen</option>
									<option value="ZR">Zaire</option>
									<option value="ZM">Zambia</option>
									<option value="ZW">Zimbabwe</option>
								</select>
							</div>
						</div>

						<div class="field" style="margin-top: -5px;">
							<span class="fieldLabel">State</span>

							<div class="picker">
								<select id="state" data-stripe="address_state">
									<option value="AL">Alabama</option>
									<option value="AK">Alaska</option>
									<option value="AZ">Arizona</option>
									<option value="AR">Arkansas</option>
									<option value="CA">California</option>
									<option value="CO">Colorado</option>
									<option value="CT">Connecticut</option>
									<option value="DE">Delaware</option>
									<option value="DC">District Of Columbia</option>
									<option value="FL">Florida</option>
									<option value="GA">Georgia</option>
									<option value="HI">Hawaii</option>
									<option value="ID">Idaho</option>
									<option value="IL">Illinois</option>
									<option value="IN">Indiana</option>
									<option value="IA">Iowa</option>
									<option value="KS">Kansas</option>
									<option value="KY">Kentucky</option>
									<option value="LA">Louisiana</option>
									<option value="ME">Maine</option>
									<option value="MD">Maryland</option>
									<option value="MA">Massachusetts</option>
									<option value="MI">Michigan</option>
									<option value="MN">Minnesota</option>
									<option value="MS">Mississippi</option>
									<option value="MO">Missouri</option>
									<option value="MT">Montana</option>
									<option value="NE">Nebraska</option>
									<option value="NV">Nevada</option>
									<option value="NH">New Hampshire</option>
									<option value="NJ">New Jersey</option>
									<option value="NM">New Mexico</option>
									<option value="NY">New York</option>
									<option value="NC">North Carolina</option>
									<option value="ND">North Dakota</option>
									<option value="OH">Ohio</option>
									<option value="OK">Oklahoma</option>
									<option value="OR">Oregon</option>
									<option value="PA">Pennsylvania</option>
									<option value="RI">Rhode Island</option>
									<option value="SC">South Carolina</option>
									<option value="SD">South Dakota</option>
									<option value="TN">Tennessee</option>
									<option value="TX">Texas</option>
									<option value="UT">Utah</option>
									<option value="VT">Vermont</option>
									<option value="VA">Virginia</option>
									<option value="WA">Washington</option>
									<option value="WV">West Virginia</option>
									<option value="WI">Wisconsin</option>
									<option value="WY">Wyoming</option>
								</select>
							</div>
						</div>

						<div class="field" style="margin-top: -5px;">
							<span class="fieldLabel">City</span>
							<input class="input" id="city" placeholder="City" value="" type="text" data-stripe="address_city">
						</div>

						<div class="field">
							<span class="fieldLabel">Zip</span>
							<input class="input" id="zip" placeholder="Enter Zip Code" value="" type="text" data-stripe="address_zip">
						</div>
                        <?php */ ?>

								<div class="ccCards">
									<img src="images/powered-by-stripe.png"><i class="icon-lock" style="margin-right: 10px;"></i> Secure Credit Card Processing
								</div>

							</div>
						<?php } ?>

						<?php if ( $has_paypal ) { ?>
							<div id="paypal-form" style="<?php if ( ! $has_stripe ) {
								echo 'display: block;';
							} else {
								echo 'display: none;';
							} ?>">
								<div class="ccCards" style="text-align: left;">
									<i class="icon-lock" style="margin-right: 10px;"></i> You will be sent to PayPal website for secure payment
								</div>
							</div>
						<?php } ?>

						<div class="orderSummary">

							<p class="paymentSummary">
								<strong><?php echo $name; ?></strong><br>
							<ul>
								<?php foreach ( $packages as $key => $package ) {
									?>
									<li>
										<input type="radio" name="package" value="<?php echo $key; ?>"/>
										<?php
										if($package->free_trial_period || $package->free_trial_period != 0) {
											echo "{$package->free_trial_period} days free trial, then ";
										}
										echo $currency . $package->price . ( $package->period == "Once-off" ? ' ' : " / " ) . $package->period;
										?>
										<input type="hidden" name="id_<?php echo $key ?>" value="<?php echo $package->id; ?>"/>
										<input type="hidden" name="price_<?php echo $key ?>" value="<?php echo $package->price; ?>"/>
										<input type="hidden" name="period_<?php echo $key ?>" value="<?php echo $package->period; ?>"/>
									</li>
								<?php } ?>
							</ul>
							</p>

							<div style="overflow:hidden;">
								<div style="float:left;">
									<strong>Order Total:</strong>
								</div>
								<div class="text-right" style="float:right;">
									<strong><?php echo $currency; ?><span class="order_total">0.00</span></strong>
								</div>
							</div>

						</div>

					</div>

				</div>
			</form>
		</div>

		<!-- Clear Order Form -->
		<br clear="both"/>

		<div class="mainOrderBlock">

			<div class="bigOrderBTN">
				<span class="bigOrderHeading">Grab Your Copy of <?php echo $name ?> Now!</span>
				<span class="bigOrderSub">Instant Access for Only <?php echo $currency; ?><span class="order_total">0.00</span></span>
			</div>

			<div class="bigOrderFinePrint">
				* Clicking Order Will Charge Your Credit Card - Or Redirect To Paypal - Once order has been placed, you will be emailed your login information... *<br/>
				We are using cookies to give you the best experience on our site. Cookies are files stored in your browser and are used by most websites to help personalise your web experience.
				By continuing to use our website without changing the settings, you are agreeing to our use of cookies.

			</div>

		</div>
	<?php } ?>

</div>

<?php include( "include/footer.php" ); ?>

<!-- Stripe -->
<script type="text/javascript" src="https://js.stripe.com/v2/"></script>
<script src="js/formance.js"></script>
<script src="js/awesome_form.js"></script>
<script type="text/javascript" src="js/billing.js"></script>

<script type="text/javascript">

	$(document).ready(function () {

		// Validation and formating of credit card info
		$('#ccNum').formance('format_credit_card_number');
		$('#ccExpire').formance('format_credit_card_expiry');
		$('#ccCSV').formance('format_credit_card_cvc');

		$("[name='package']").change(function () {
			$(".order_total").html($("[name='price_" + $(this).val() + "']").val());
		});

		$("input:radio[name='package']:first").attr('checked', true);
		$("input:radio[name='package']:first").trigger("change");

		// Choose payment Gateway
		$(".btnChooseGateway").click(function (e) {
			var t = $(this);
			var chosenGateway = t.attr("data-gateway");
			var otherGateway = null;

			if (chosenGateway == "stripe") otherGateway = "paypal";
			if (chosenGateway == "paypal") otherGateway = "stripe";

			$("#" + otherGateway + "-form").hide();
			$("#" + chosenGateway + "-form").show();

			$("#" + otherGateway + "-btn").removeClass("paymentChoiceActive");
			$("#" + otherGateway + "-btn").addClass("paymentChoiceNotActive");
			$("#" + chosenGateway + "-btn").removeClass("paymentChoiceNotActive");
			$("#" + chosenGateway + "-btn").addClass("paymentChoiceActive");

			$("#gateway").val(chosenGateway);

		});

	});

</script>

</html>