<?php
	/**
	 * Created by PhpStorm.
	 * User: Alex
	 * Date: 07-01-2015
	 * Time: 16:11
	 */

	/**
	 * Class Curl
	 */
	class Curl {

		/**
		 * @var
		 */
		protected $host;

		protected $headers;

		/**
		 * @param $host
		 */
		public function __construct( $host ) {
			$this->host = $host;
		}

		/**
		 *
		 */
		public function send( $command, $params ) {

			//open connection
			$ch = curl_init();

			$query_string = '';
			foreach( $params as $key => $value ) {
				$query_string .= "$key=$value&";
			}
			$query_string = substr( $query_string, 0, -1 );

			//set the url, number of POST vars, POST data
			curl_setopt( $ch, CURLOPT_URL, $this->host.$command );
			curl_setopt( $ch, CURLOPT_POST, count( $params ) );
			curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, false );
			curl_setopt( $ch, CURLOPT_SSL_VERIFYHOST, false );
			curl_setopt( $ch, CURLOPT_TIMEOUT, 10 );
			curl_setopt( $ch, CURLOPT_RETURNTRANSFER, true );
			curl_setopt( $ch, CURLINFO_HEADER_OUT, true );
			curl_setopt( $ch, CURLOPT_POST, true );
			curl_setopt( $ch, CURLOPT_HEADER, true );
			curl_setopt( $ch, CURLOPT_HTTPHEADER, array( 'app-identifier: '.WL_IDENTIFIER, 'api-auth: '.API_AUTH ) );
			curl_setopt( $ch, CURLOPT_POSTFIELDS, $query_string );

			//execute post
			$result = curl_exec( $ch );
			if( $result ) {
				curl_close( $ch );
				list( $this->headers, $body ) = explode( "\r\n\r\n", $result, 2 );

				return $body;
			} else {
				throw new Exception( "Unable to connect to Rebrand Apps Server.\n\rCurl Error (".curl_errno( $ch )."): ".curl_error( $ch ) );
			}
		}

		/**
		 * @return mixed
		 */
		public function getContentType() {
			if( preg_match( "/Content-Type: (.*)/", $this->headers, $matches ) ) {
				return trim( $matches[ 1 ] );
			}

			return "";
		}

	}