<?php

// glob :: requires : class for debugging
// --------------------------------------------------------------------------------------
   class requires
   {
   // vars :: self
   // -----------------------------------------------------------------------------------
      public static $drv = '5.4.9';                            // default required version
      private static $fnc = null;                              // closures container
   // -----------------------------------------------------------------------------------



   // func :: init : initialize class
   // -----------------------------------------------------------------------------------
      public static function init()
      {
         $run = function($rvs)
         {
            $cvs = phpversion();                               // current version string

            $cvs = ((substr_count($cvs, '.') < 2) ? $cvs.'.0' : $cvs);  // for 3 places
            $rvs = ((substr_count($rvs, '.') < 2) ? $rvs.'.0' : $rvs);  // just incase ;)

            $cvn = intval(str_replace('.','',$cvs));           // current version number
            $rvn = intval(str_replace('.','',$rvs));           // required version number

            if ($cvn < $rvn)
            { requires::fail("PHP $rvs"); }
         };

         self::$fnc = new stdClass;                            // to object
         self::$fnc->php = $run;

         $run(self::$drv);
      }
   // -----------------------------------------------------------------------------------



   // func :: fail : sends fail message and stops execution
   // -----------------------------------------------------------------------------------
      public static function fail($name)
      {
         ob_clean();
         header("HTTP/1.0 424 Failed Dependency");
         die
         (
            "<pre>\n".
            "Missing server software dependency: `{$name}`\n\n".
            "Please contact your server hosting proviver regarding this issue.".
            "</pre>"
         );
      }
   // -----------------------------------------------------------------------------------



   // func :: *.* : static call handler
   // -----------------------------------------------------------------------------------
      public static function __callStatic($ref,$arg)
      {
      // cond :: if ref is undefined & arg[0] is defined
      // --------------------------------------------------------------------------------
         if (!property_exists(self::$fnc, $ref) && isset($arg[0]))
         {
         // cond :: define if args & arg[0] is a function
         // ----------------------------------------------------------------------------
            if ($arg[0] instanceof Closure)
            {
               self::$fnc->$ref = $arg[0];
               array_shift($arg);
            }
            elseif ($arg[0] === false)
            {
               self::fail("PHP $ref");
            }
         // ----------------------------------------------------------------------------
         }
      // --------------------------------------------------------------------------------


      // cond :: call if defined
      // --------------------------------------------------------------------------------
         if (property_exists(self::$fnc, $ref))
         {
         // dbug :: function : run debug function, catch & fail with exception message
         // -----------------------------------------------------------------------------
            try
            { call_user_func_array(self::$fnc->$ref, $arg); }
            catch(Exception $e)
            { self::fail($e->getMessage()); }
         // -----------------------------------------------------------------------------
         }
      // --------------------------------------------------------------------------------


      // dflt :: return : false, if not defined
      // --------------------------------------------------------------------------------
         return false;
      // --------------------------------------------------------------------------------
      }
   // -----------------------------------------------------------------------------------
   }
// --------------------------------------------------------------------------------------




// func :: requires : prevents duplication, enhances class usage
// --------------------------------------------------------------------------------------
   function requires($list, $args=null)
   {
   // vars :: local
   // -----------------------------------------------------------------------------------
      $list = (!is_null($args) ? [$list=>$args] : $list);
   // -----------------------------------------------------------------------------------


   // each :: condition-item as assign and/or call debug method
   // -----------------------------------------------------------------------------------
      foreach ($list as $name => $args)
      { requires::{$name}($args); }
   // -----------------------------------------------------------------------------------
   }
// --------------------------------------------------------------------------------------




// dbug :: initiate `requires` class
// --------------------------------------------------------------------------------------
   requires::init();
// --------------------------------------------------------------------------------------



// dbug :: common dependencies for all appa per documentation: `server requirements pdf`
// --------------------------------------------------------------------------------------
   requires
   ([
      'php' => '5.4',
      'zip' => extension_loaded("zip"),
      'cURL' => function_exists('curl_version'),
      'mySQLi' => function_exists('mysqli_connect'),
   ]);
// --------------------------------------------------------------------------------------

?>
