<?php

class LSP_PageController {
    public function __construct() {
        add_action('admin_init', array($this, 'save'));
    }

    public function save() {

        if (!current_user_can('manage_options')) {
            return;
        }

        if (isset($_POST['action']) && $_POST['action'] == 'update' && isset($_GET['page']) && $_GET['page'] == LSP_SLUG . '-pagecreator') {
            $nonce = $_POST['_wpnonce'];
            if (!wp_verify_nonce($nonce, 'update')) {
                wp_die('Nice Try...');
            }

            $page_settings = LSP_LegalSuitePro::instance()->page_settings;

            foreach(LSP_Template::get_templates() as $template => $name){
                $checked = isset($_POST[$template]);
                if($checked){
                    $selected = $_POST[$template];
                }else{
                    $selected = 0;
                }

                if($checked) {
                    if ($selected == 0) {
                        //create a new page..
                        $selected = wp_insert_post(
                            array(
                                'post_type' => 'page',
                                'post_name' => $name,
                                'post_title' => $name,
                                'post_content' => LSP_Template::render($template),
                                'post_status' => 'publish'
                            )
                        );
                    }else{
                        if ( FALSE !== get_post_status( $selected ) && get_post_type($selected) === 'page') {
                            wp_update_post(
                                array(
                                    'ID'           => $selected,
                                    'post_title'   => $name,
                                    'post_content' => LSP_Template::render($template)
                                )
                            );
                        }
                    }
                }

                $page_settings->$template = $selected;
            }
        }
    }

    public function render() {
        $page_settings = LSP_LegalSuitePro::instance()->page_settings;
         require LSP_VIEW_DIR . '/pages.php';
    }


}