<?php

require_once LSP_INCLUDE_DIR . '/Metatick/WP/Model/Metatick_WP_Model_Option_1_0.php';

class LSP_Settings extends Metatick_WP_Model_Option_1_0 {

	protected $_default = array(
		'site_name' => '',
		'support_url' => '',
		'state' => 'California',

		'enable_legal_page' => false,
		'legal_page_path' => 'legal',

		'enable_cookie_bar' => false,
		'cookie_bar_background_color' => '#4f4f4f',
		'cookie_bar_text' => 'By continuing to browse the site you are agreeing to our use of cookies',
		'cookie_bar_text_color' => '#ffffff',
		'cookie_bar_button' => 'I understand',
		'cookie_bar_button_color' => '#458227',
	);

	public function __construct() {
		$this->_default['site_name'] = get_bloginfo('name');
		$this->_default['site_url'] = get_site_url();
		$this->_default['support_url'] = get_site_url();

		foreach(LSP_Template::get_templates() as $template => $name){
			$this->_default[$template] = true;
		}

		parent::__construct(LSP_SLUG);
	}
}