<div class="wrap">
    <h1><?php echo LSP_TITLE; ?> Page Creator</h1>

    <form method="post" novalidate="novalidate">
        <input type="hidden" name="option_page" value="general">
        <input type="hidden" name="action" value="update">

        <?php wp_nonce_field('update'); ?>

        <table class="form-table">
            <tbody>
                <?php foreach( LSP_Template::get_templates() as $template => $template_name): ?>
                    <tr>
                        <th><?php echo esc_html($template_name); ?></th>
                        <td>
                            <input type="checkbox" name="<?php echo esc_attr($template); ?>_enable" data-enable="<?php echo esc_attr($template); ?>" <?php checked($page_settings->$template != 0); ?>>
                            <?php
                                if ( FALSE === get_post_status( $page_settings->$template ) || get_post_type($page_settings->$template) !== 'page') {
                                    $selected = 0;
                                }else{
                                    $selected = $page_settings->$template;
                                }

                                $html = wp_dropdown_pages(
                                    array(
                                        'show_option_none' => 'Generate new page',
                                        'option_none_value' => 0,
                                        'name' => $template,
                                        'selected' => $selected,
                                        'echo' => false
                                    )
                                );
                                if(empty($html)){
                                    $html = "<select name='$template' id='$template'><option value='0'>Generate new page</option></select>";
                                }

                                echo $html;
                            ?>
                        </td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
        <p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="Save Changes"></p></form>
</div>

<script>
    jQuery(document).ready(function($){
        $('input[type="checkbox"]').change(function(element){
            var checked = element.target.checked;
            element = $(element.target);
            console.log('#' + element.data('enable') + ': ' + checked);
            $('#' + element.data('enable')).prop('disabled', !checked);
        }).change();
    });
</script>