<?php

/*
Plugin Name: Legal Suite Pro
Plugin URI: http://imincomelab.com
Description: Instantly create legal pages, FTC disclaimers & more
Version: 1.6
Author: Mark Hess & Michael Thomas
Author URI: http://imincomelab.com
License: Private
*/

define('LSP_TITLE', 'Legal Suite Pro');
define('LSP_SLUG', 'wplegalsuitepro');
define('LSP_SECRET', '1h1hjjdggjfs343hsgfas2dfs62');
define('LSP_PATH', dirname(__FILE__));
define('LSP_DIR', basename(LSP_PATH));
define('LSP_FILE', plugin_basename(__FILE__));
define('LSP_INCLUDE_DIR', LSP_PATH . '/include');
define('LSP_CONTROLLER_DIR', LSP_PATH . '/controllers');
define('LSP_MODEL_DIR', LSP_PATH . '/models');
define('LSP_VIEW_DIR', LSP_PATH . '/views');

define('LSP_TEMPLATE_DIR', LSP_PATH . '/templates');

require_once LSP_INCLUDE_DIR . '/Metatick/WP/Metatick_WP_Licensing_1_5.php';
require_once LSP_INCLUDE_DIR . '/LSP_FTCWidget.php';
require_once LSP_INCLUDE_DIR . '/LSP_Template.php';

require_once LSP_MODEL_DIR . '/LSP_Settings.php';
require_once LSP_MODEL_DIR . '/LSP_PageSettings.php';

require_once LSP_CONTROLLER_DIR . '/LSP_SettingsController.php';
require_once LSP_CONTROLLER_DIR . '/LSP_LegalPageController.php';
require_once LSP_CONTROLLER_DIR . '/LSP_CookieBarController.php';
require_once LSP_CONTROLLER_DIR . '/LSP_PageController.php';

class LSP_LegalSuitePro {
    private $page_controller = null;
    private $settings_controller = null;
    private $legal_page_controller = null;
    private $cookie_bar_controller = null;

    public $license = null;
    public $settings = null;
    public $page_settings = null;

    private static $_instance = null;
    public static function instance() {
        if (self::$_instance == null) {
            $class = __CLASS__;
            self::$_instance = new $class();
        }
        return self::$_instance;
    }

    public function __construct() {
        $this->settings = new LSP_Settings();
        $this->page_settings = new LSP_PageSettings();

        $this->settings_controller = new LSP_SettingsController();
        $this->license = new Metatick_WP_Licensing_1_5(LSP_SLUG, LSP_SECRET, LSP_TITLE);

        if( $this->license->is_licensed() ) {
            $this->legal_page_controller = new LSP_LegalPageController();
            $this->cookie_bar_controller = new LSP_CookieBarController();
            $this->page_controller = new LSP_PageController();
            add_action( 'widgets_init', array('LSP_FTCWidget', 'register') );
        }

        add_action('admin_menu', array($this, 'check_for_updates'));
        add_action('admin_menu', array($this, 'admin_menu'));
    }

    function admin_menu(){
        add_menu_page( LSP_TITLE, LSP_TITLE, 'manage_options', LSP_SLUG, array($this->settings_controller, 'render'), plugin_dir_url(__FILE__) . 'assets/icon.png' );
        if( $this->license->is_licensed() ) {
            add_submenu_page(
                LSP_SLUG, 'Page Creator', 'Page Creator', 'manage_options', LSP_SLUG . '-pagecreator',
                array($this->page_controller, 'render')
            );
        }
    }

    function check_for_updates() {
        require_once LSP_INCLUDE_DIR . '/Metatick/WP/Metatick_WP_Plugin_Autoupdater_1_2.php';
        new Metatick_WP_Plugin_Autoupdater_1_2(__FILE__, LSP_SLUG);
    }


}
LSP_LegalSuitePro::instance();